Bug 146043 - Problems with external USB DVD burner
Problems with external USB DVD burner
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-01-24 16:41 EST by Aleksandar Milivojevic
Modified: 2015-01-04 17:16 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-02-15 09:22:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
errors from /var/log/message (7.48 KB, text/plain)
2005-01-24 16:43 EST, Aleksandar Milivojevic
no flags Details
output of lspci -v (3.35 KB, text/plain)
2005-01-24 16:44 EST, Aleksandar Milivojevic
no flags Details
errors from /var/log/message (8.56 KB, text/plain)
2005-01-24 16:50 EST, Aleksandar Milivojevic
no flags Details

  None (edit)
Description Aleksandar Milivojevic 2005-01-24 16:41:34 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
I've found some bug reports about oopses when plugging in USB storage
device, but this problem seems to be different.  Kernel recognizes the
drive, it does not crash, but it doesn't operate properly.

I have Sony DRU-710A DVD burner (external USB).  When I plug it,
kernel recognizes it as high-speed USB devices.  However, I am not
able to use the device.  Soon after plugging it, kernel starts to
complain about the device, tries to reset it, and than goes in circles
simply filling the logs whenever I attempt to use device.  If I
attempt to use dd to extract CD or DVD image, more errors are logged
(Buffer I/O error on device sr0).

What is strange (as you'll see from the log files), device is not
detected exactly the same every time.  Sometimes it is detected as
48x/48x CD burner, sometimes as 40x/40x CD burner, and I even got it
detected as 125x/48x (?!) CD burner once.  Every time, the device is
detected as CD burner, not as DVD burner (I'm not sure if kernel makes
any difference between the two).

I'll include relevant portion of /var/log/message and output of lspci
-v as attachments.

$ cat /proc/scsi/scsi
Attached devices:
Host: scsi2 Channel: 00 Id: 00 Lun: 00
  Vendor: SONY     Model: DVD RW DRU-710A  Rev: BY01
  Type:   CD-ROM                           ANSI SCSI revision: 02

$ cat /proc/scsi/usb-storage/2
   Host scsi2: usb-storage
       Vendor: Unknown
      Product: Unknown
Serial Number: None
     Protocol: Transparent SCSI
    Transport: Bulk

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Attach Sony DRU-710A external USB device

Additional info:
Comment 1 Aleksandar Milivojevic 2005-01-24 16:43:08 EST
Created attachment 110162 [details]
errors from /var/log/message
Comment 2 Aleksandar Milivojevic 2005-01-24 16:44:49 EST
Created attachment 110163 [details]
output of lspci -v
Comment 3 Aleksandar Milivojevic 2005-01-24 16:46:03 EST
BTW, if this is related to the same problem (kernel oops when USB
device is attached), let me know and I'll resubmit these as comments
to that bug report.
Comment 4 Aleksandar Milivojevic 2005-01-24 16:50:57 EST
Created attachment 110164 [details]
errors from /var/log/message

The previous log file was missing kernel messages as the device was plugged in.
 This log is more complete.
Comment 5 Aleksandar Milivojevic 2005-01-28 16:40:36 EST
I've installed (couple of days ago) a fresh installation of FC3 onto
different motherboard (Intel D865PERL).  With this motherboard
everything seemed to more or less with stock FC3 kernel
(kernel-2.6.9-1.667), as long as DVD was plugged in before machine was
booted.  I was getting some strange oops messages if I
unplugged/plugged it while kernel was up and running.  After upgrading
to latest kernel (kernel-2.6.10-1.741_FC3), I lost links in /dev
directory, and entry for this device in /etc/fstab.  Upgrading udev
doesn't seem to have changed anything.  However, I was able to access
device using /dev/scd0 (for reading and writing to it).  Writing to it
using cdrecord wasn't very successfull (more details added to bug
Comment 6 Aleksandar Milivojevic 2005-02-15 09:22:23 EST
Seems to be working with current kernels.

Note You need to log in before you can comment on or make changes to this bug.